Fix driver exception conversion for newer SQLite versions #594

Merged
merged 1 commit into from May 2, 2014

Projects

None yet

3 participants

@deeky666
Member
deeky666 commented May 2, 2014

As of PHP 5.5.11 the internal libsqlite has been upgraded to version 3.8.3.1 which seems to change some of the driver exception messages for constraint violations and causes Travis to fail.
This PR now also matches strings to catch those appropriately.

@doctrinebot

Hello,

thank you for creating this pull request. I have automatically opened an issue
on our Jira Bug Tracker for you. See the issue link:

http://www.doctrine-project.org/jira/browse/DBAL-893

We use Jira to track the state of pull requests and the versions they got
included in.

@Ocramius Ocramius self-assigned this May 2, 2014
@Ocramius Ocramius merged commit bb0b468 into doctrine:master May 2, 2014

1 check passed

continuous-integration/travis-ci The Travis CI build passed
Details
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment